<template>
    <div class="device-image">
        <div v-if="devIns&&devIns.state" class="header">
            <div>
                通讯状态：
                <template v-if="devIns.state.value=='online'">
                    <img
                        :src="getImage('/device-overview/normal.png')"
                        alt=""
                    />
                    <span class="normal">{{devIns.state.text}}</span>
                </template>
                <template v-else>
                    <img
                        :src="getImage('/device-overview/warning.png')"
                        alt=""
                    />
                    <span class="warning">{{devIns.state.text}}</span>
                </template>
            </div>
            <div>
                运行状态：
                <template v-if="devIns.state.value=='online'">
                    <img
                        :src="getImage('/device-overview/normal.png')"
                        alt=""
                    />
                    <span class="normal">正常</span>
                </template>
                <template v-else>
                    <img
                        :src="getImage('/device-overview/warning.png')"
                        alt=""
                    />
                    <span class="warning">{{devIns.state.text}}</span>
                </template>
            </div>
        </div>

        <div v-else class="header">
            <div>
                通讯状态：
                <template v-if="deviceInfo.communicationStatus">
                    <img
                        :src="getImage('/device-overview/normal.png')"
                        alt=""
                    />
                    <span class="normal">正常</span>
                </template>
                <template v-else>
                    <img
                        :src="getImage('/device-overview/warning.png')"
                        alt=""
                    />
                    <span class="warning">告警</span>
                </template>
            </div>
            <div>
                运行状态：
                <template v-if="deviceInfo.runStatus">
                    <img
                        :src="getImage('/device-overview/normal.png')"
                        alt=""
                    />
                    <span class="normal">正常</span>
                </template>
                <template v-else>
                    <img
                        :src="getImage('/device-overview/warning.png')"
                        alt=""
                    />
                    <span class="warning">告警</span>
                </template>
            </div>
        </div>
        <div class="main-image">
            <img v-if="devIns&&devIns.photoUrl" :src="devIns.photoUrl" alt="" />
            <img v-else :src="getImage(deviceInfo.imgUrl)" alt="" />
        </div>
        <div class="name">{{ devIns?devIns.name:deviceInfo.name }}</div>
    </div>
</template>
<script lang="ts" name="DeviceImage" setup>
import { getImage } from '@/utils/comm';
import { useDeviceInfo } from '@/store/device';

const props = defineProps({
    typeId: {
        type: [Number],
        default: 1921,
    },
    devIns:{
        type: Object,
        default: null,
    }
});

const deviceInfoStore = useDeviceInfo();

deviceInfoStore.updateDeviceInfo(props.typeId);
const deviceInfo = deviceInfoStore.deviceInfo;

onMounted(() => {});
</script>
<style scoped lang="less">
.device-image {
    padding: 16px;
    width: 100%;
    height: 542px;
    background: #ffffff;
    box-shadow: 0px 2px 6px 0px #cccccc;
    border-radius: 4px 4px 4px 4px;

    .header {
        width: 100%;
        height: 48px;
        display: flex;
        align-items: center;
        justify-content: center;
        div {
            width: 200px;
            display: flex;
            align-items: center;
            justify-content: center;
            img {
                width: 18px;
                height: 18px;
            }
            .warning {
                font-size: 20px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #fa3e2e;
                line-height: 22px;
            }
            .normal {
                font-size: 20px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #15c646;
                line-height: 22px;
            }
        }
    }
    .main-image {
        height: 400px;
        display: flex;
        align-items: center;
        justify-content: center;
        img {
            width: 300px;
            height: 282px;
        }
    }
    .name {
        margin: 0 auto;
        width: 295px;
        height: 40px;
        text-align: center;
        font-size: 16px;
        font-family: PingFang SC-Medium, PingFang SC;
        font-weight: 500;
        color: #333333;
        line-height: 40px;
        background: linear-gradient(
            267deg,
            #ffffff 0%,
            #bddbff 50%,
            #ffffff 100%
        );
    }
}
</style>
